# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bht_survey/version'

Gem::Specification.new do |spec|
  spec.name          = "bht_survey"
  spec.version       = BhtSurvey::VERSION
  spec.authors       = ["gdh7y", "spj4g"]
  spec.email         = ["gdh7y@virginia.edu", "spj4g@virginia.edu"]

  spec.summary       = %q{Shim for Faraday access to the APIs of Qualtrics Interface Service}
  spec.description   = %q{#Requires a hash with three key values
       #@workspace = {
      'qualtrics_id' => ENV['qualtrics_id'],
      'qualtrics_library' => ENV['qualtrics_library_id'],
      'study_workspace_name' => 'Shuti-Example'
    }
    #Requires an API_URL to access the Qualtrics Interface Service
  }

  spec.homepage      = "https://github.com/BHT/bht_survey.git"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_dependency "rails", "~> 5.0" 
end
